Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network140.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
140.0.0.0
Broadcast address
141.255.255.255
First usable
140.0.0.1
Last usable
141.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex 8C000000 · Integer 2348810240 to 2382364671
Reverse DNS zones
140.in-addr.arpa
141.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001100.00000000.00000000.00000000140.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10001100.00000000.00000000.00000000140.0.0.0
Broadcast10001101.11111111.11111111.11111111141.255.255.255
Split into smaller subnets/17

140.0.0.0/7 makes 1,024 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1140.0.0.0/17140.0.0.1 to 140.0.127.254140.0.127.25532,766
2140.0.128.0/17140.0.128.1 to 140.0.255.254140.0.255.25532,766
3140.1.0.0/17140.1.0.1 to 140.1.127.254140.1.127.25532,766
4140.1.128.0/17140.1.128.1 to 140.1.255.254140.1.255.25532,766
5140.2.0.0/17140.2.0.1 to 140.2.127.254140.2.127.25532,766
6140.2.128.0/17140.2.128.1 to 140.2.255.254140.2.255.25532,766
7140.3.0.0/17140.3.0.1 to 140.3.127.254140.3.127.25532,766
8140.3.128.0/17140.3.128.1 to 140.3.255.254140.3.255.25532,766
9140.4.0.0/17140.4.0.1 to 140.4.127.254140.4.127.25532,766
10140.4.128.0/17140.4.128.1 to 140.4.255.254140.4.255.25532,766
11140.5.0.0/17140.5.0.1 to 140.5.127.254140.5.127.25532,766
12140.5.128.0/17140.5.128.1 to 140.5.255.254140.5.255.25532,766
13140.6.0.0/17140.6.0.1 to 140.6.127.254140.6.127.25532,766
14140.6.128.0/17140.6.128.1 to 140.6.255.254140.6.255.25532,766
15140.7.0.0/17140.7.0.1 to 140.7.127.254140.7.127.25532,766
16140.7.128.0/17140.7.128.1 to 140.7.255.254140.7.255.25532,766
17140.8.0.0/17140.8.0.1 to 140.8.127.254140.8.127.25532,766
18140.8.128.0/17140.8.128.1 to 140.8.255.254140.8.255.25532,766
19140.9.0.0/17140.9.0.1 to 140.9.127.254140.9.127.25532,766
20140.9.128.0/17140.9.128.1 to 140.9.255.254140.9.255.25532,766
21140.10.0.0/17140.10.0.1 to 140.10.127.254140.10.127.25532,766
22140.10.128.0/17140.10.128.1 to 140.10.255.254140.10.255.25532,766
23140.11.0.0/17140.11.0.1 to 140.11.127.254140.11.127.25532,766
24140.11.128.0/17140.11.128.1 to 140.11.255.254140.11.255.25532,766
25140.12.0.0/17140.12.0.1 to 140.12.127.254140.12.127.25532,766
26140.12.128.0/17140.12.128.1 to 140.12.255.254140.12.255.25532,766
27140.13.0.0/17140.13.0.1 to 140.13.127.254140.13.127.25532,766
28140.13.128.0/17140.13.128.1 to 140.13.255.254140.13.255.25532,766
29140.14.0.0/17140.14.0.1 to 140.14.127.254140.14.127.25532,766
30140.14.128.0/17140.14.128.1 to 140.14.255.254140.14.255.25532,766
31140.15.0.0/17140.15.0.1 to 140.15.127.254140.15.127.25532,766
32140.15.128.0/17140.15.128.1 to 140.15.255.254140.15.255.25532,766
33140.16.0.0/17140.16.0.1 to 140.16.127.254140.16.127.25532,766
34140.16.128.0/17140.16.128.1 to 140.16.255.254140.16.255.25532,766
35140.17.0.0/17140.17.0.1 to 140.17.127.254140.17.127.25532,766
36140.17.128.0/17140.17.128.1 to 140.17.255.254140.17.255.25532,766
37140.18.0.0/17140.18.0.1 to 140.18.127.254140.18.127.25532,766
38140.18.128.0/17140.18.128.1 to 140.18.255.254140.18.255.25532,766
39140.19.0.0/17140.19.0.1 to 140.19.127.254140.19.127.25532,766
40140.19.128.0/17140.19.128.1 to 140.19.255.254140.19.255.25532,766
41140.20.0.0/17140.20.0.1 to 140.20.127.254140.20.127.25532,766
42140.20.128.0/17140.20.128.1 to 140.20.255.254140.20.255.25532,766
43140.21.0.0/17140.21.0.1 to 140.21.127.254140.21.127.25532,766
44140.21.128.0/17140.21.128.1 to 140.21.255.254140.21.255.25532,766
45140.22.0.0/17140.22.0.1 to 140.22.127.254140.22.127.25532,766
46140.22.128.0/17140.22.128.1 to 140.22.255.254140.22.255.25532,766
47140.23.0.0/17140.23.0.1 to 140.23.127.254140.23.127.25532,766
48140.23.128.0/17140.23.128.1 to 140.23.255.254140.23.255.25532,766
49140.24.0.0/17140.24.0.1 to 140.24.127.254140.24.127.25532,766
50140.24.128.0/17140.24.128.1 to 140.24.255.254140.24.255.25532,766
51140.25.0.0/17140.25.0.1 to 140.25.127.254140.25.127.25532,766
52140.25.128.0/17140.25.128.1 to 140.25.255.254140.25.255.25532,766
53140.26.0.0/17140.26.0.1 to 140.26.127.254140.26.127.25532,766
54140.26.128.0/17140.26.128.1 to 140.26.255.254140.26.255.25532,766
55140.27.0.0/17140.27.0.1 to 140.27.127.254140.27.127.25532,766
56140.27.128.0/17140.27.128.1 to 140.27.255.254140.27.255.25532,766
57140.28.0.0/17140.28.0.1 to 140.28.127.254140.28.127.25532,766
58140.28.128.0/17140.28.128.1 to 140.28.255.254140.28.255.25532,766
59140.29.0.0/17140.29.0.1 to 140.29.127.254140.29.127.25532,766
60140.29.128.0/17140.29.128.1 to 140.29.255.254140.29.255.25532,766
61140.30.0.0/17140.30.0.1 to 140.30.127.254140.30.127.25532,766
62140.30.128.0/17140.30.128.1 to 140.30.255.254140.30.255.25532,766
63140.31.0.0/17140.31.0.1 to 140.31.127.254140.31.127.25532,766
64140.31.128.0/17140.31.128.1 to 140.31.255.254140.31.255.25532,766
65140.32.0.0/17140.32.0.1 to 140.32.127.254140.32.127.25532,766
66140.32.128.0/17140.32.128.1 to 140.32.255.254140.32.255.25532,766
67140.33.0.0/17140.33.0.1 to 140.33.127.254140.33.127.25532,766
68140.33.128.0/17140.33.128.1 to 140.33.255.254140.33.255.25532,766
69140.34.0.0/17140.34.0.1 to 140.34.127.254140.34.127.25532,766
70140.34.128.0/17140.34.128.1 to 140.34.255.254140.34.255.25532,766
71140.35.0.0/17140.35.0.1 to 140.35.127.254140.35.127.25532,766
72140.35.128.0/17140.35.128.1 to 140.35.255.254140.35.255.25532,766
73140.36.0.0/17140.36.0.1 to 140.36.127.254140.36.127.25532,766
74140.36.128.0/17140.36.128.1 to 140.36.255.254140.36.255.25532,766
75140.37.0.0/17140.37.0.1 to 140.37.127.254140.37.127.25532,766
76140.37.128.0/17140.37.128.1 to 140.37.255.254140.37.255.25532,766
77140.38.0.0/17140.38.0.1 to 140.38.127.254140.38.127.25532,766
78140.38.128.0/17140.38.128.1 to 140.38.255.254140.38.255.25532,766
79140.39.0.0/17140.39.0.1 to 140.39.127.254140.39.127.25532,766
80140.39.128.0/17140.39.128.1 to 140.39.255.254140.39.255.25532,766
81140.40.0.0/17140.40.0.1 to 140.40.127.254140.40.127.25532,766
82140.40.128.0/17140.40.128.1 to 140.40.255.254140.40.255.25532,766
83140.41.0.0/17140.41.0.1 to 140.41.127.254140.41.127.25532,766
84140.41.128.0/17140.41.128.1 to 140.41.255.254140.41.255.25532,766
85140.42.0.0/17140.42.0.1 to 140.42.127.254140.42.127.25532,766
86140.42.128.0/17140.42.128.1 to 140.42.255.254140.42.255.25532,766
87140.43.0.0/17140.43.0.1 to 140.43.127.254140.43.127.25532,766
88140.43.128.0/17140.43.128.1 to 140.43.255.254140.43.255.25532,766
89140.44.0.0/17140.44.0.1 to 140.44.127.254140.44.127.25532,766
90140.44.128.0/17140.44.128.1 to 140.44.255.254140.44.255.25532,766
91140.45.0.0/17140.45.0.1 to 140.45.127.254140.45.127.25532,766
92140.45.128.0/17140.45.128.1 to 140.45.255.254140.45.255.25532,766
93140.46.0.0/17140.46.0.1 to 140.46.127.254140.46.127.25532,766
94140.46.128.0/17140.46.128.1 to 140.46.255.254140.46.255.25532,766
95140.47.0.0/17140.47.0.1 to 140.47.127.254140.47.127.25532,766
96140.47.128.0/17140.47.128.1 to 140.47.255.254140.47.255.25532,766
97140.48.0.0/17140.48.0.1 to 140.48.127.254140.48.127.25532,766
98140.48.128.0/17140.48.128.1 to 140.48.255.254140.48.255.25532,766
99140.49.0.0/17140.49.0.1 to 140.49.127.254140.49.127.25532,766
100140.49.128.0/17140.49.128.1 to 140.49.255.254140.49.255.25532,766
101140.50.0.0/17140.50.0.1 to 140.50.127.254140.50.127.25532,766
102140.50.128.0/17140.50.128.1 to 140.50.255.254140.50.255.25532,766
103140.51.0.0/17140.51.0.1 to 140.51.127.254140.51.127.25532,766
104140.51.128.0/17140.51.128.1 to 140.51.255.254140.51.255.25532,766
105140.52.0.0/17140.52.0.1 to 140.52.127.254140.52.127.25532,766
106140.52.128.0/17140.52.128.1 to 140.52.255.254140.52.255.25532,766
107140.53.0.0/17140.53.0.1 to 140.53.127.254140.53.127.25532,766
108140.53.128.0/17140.53.128.1 to 140.53.255.254140.53.255.25532,766
109140.54.0.0/17140.54.0.1 to 140.54.127.254140.54.127.25532,766
110140.54.128.0/17140.54.128.1 to 140.54.255.254140.54.255.25532,766
111140.55.0.0/17140.55.0.1 to 140.55.127.254140.55.127.25532,766
112140.55.128.0/17140.55.128.1 to 140.55.255.254140.55.255.25532,766
113140.56.0.0/17140.56.0.1 to 140.56.127.254140.56.127.25532,766
114140.56.128.0/17140.56.128.1 to 140.56.255.254140.56.255.25532,766
115140.57.0.0/17140.57.0.1 to 140.57.127.254140.57.127.25532,766
116140.57.128.0/17140.57.128.1 to 140.57.255.254140.57.255.25532,766
117140.58.0.0/17140.58.0.1 to 140.58.127.254140.58.127.25532,766
118140.58.128.0/17140.58.128.1 to 140.58.255.254140.58.255.25532,766
119140.59.0.0/17140.59.0.1 to 140.59.127.254140.59.127.25532,766
120140.59.128.0/17140.59.128.1 to 140.59.255.254140.59.255.25532,766
121140.60.0.0/17140.60.0.1 to 140.60.127.254140.60.127.25532,766
122140.60.128.0/17140.60.128.1 to 140.60.255.254140.60.255.25532,766
123140.61.0.0/17140.61.0.1 to 140.61.127.254140.61.127.25532,766
124140.61.128.0/17140.61.128.1 to 140.61.255.254140.61.255.25532,766
125140.62.0.0/17140.62.0.1 to 140.62.127.254140.62.127.25532,766
126140.62.128.0/17140.62.128.1 to 140.62.255.254140.62.255.25532,766
127140.63.0.0/17140.63.0.1 to 140.63.127.254140.63.127.25532,766
128140.63.128.0/17140.63.128.1 to 140.63.255.254140.63.255.25532,766
129140.64.0.0/17140.64.0.1 to 140.64.127.254140.64.127.25532,766
130140.64.128.0/17140.64.128.1 to 140.64.255.254140.64.255.25532,766
131140.65.0.0/17140.65.0.1 to 140.65.127.254140.65.127.25532,766
132140.65.128.0/17140.65.128.1 to 140.65.255.254140.65.255.25532,766
133140.66.0.0/17140.66.0.1 to 140.66.127.254140.66.127.25532,766
134140.66.128.0/17140.66.128.1 to 140.66.255.254140.66.255.25532,766
135140.67.0.0/17140.67.0.1 to 140.67.127.254140.67.127.25532,766
136140.67.128.0/17140.67.128.1 to 140.67.255.254140.67.255.25532,766
137140.68.0.0/17140.68.0.1 to 140.68.127.254140.68.127.25532,766
138140.68.128.0/17140.68.128.1 to 140.68.255.254140.68.255.25532,766
139140.69.0.0/17140.69.0.1 to 140.69.127.254140.69.127.25532,766
140140.69.128.0/17140.69.128.1 to 140.69.255.254140.69.255.25532,766
141140.70.0.0/17140.70.0.1 to 140.70.127.254140.70.127.25532,766
142140.70.128.0/17140.70.128.1 to 140.70.255.254140.70.255.25532,766
143140.71.0.0/17140.71.0.1 to 140.71.127.254140.71.127.25532,766
144140.71.128.0/17140.71.128.1 to 140.71.255.254140.71.255.25532,766
145140.72.0.0/17140.72.0.1 to 140.72.127.254140.72.127.25532,766
146140.72.128.0/17140.72.128.1 to 140.72.255.254140.72.255.25532,766
147140.73.0.0/17140.73.0.1 to 140.73.127.254140.73.127.25532,766
148140.73.128.0/17140.73.128.1 to 140.73.255.254140.73.255.25532,766
149140.74.0.0/17140.74.0.1 to 140.74.127.254140.74.127.25532,766
150140.74.128.0/17140.74.128.1 to 140.74.255.254140.74.255.25532,766
151140.75.0.0/17140.75.0.1 to 140.75.127.254140.75.127.25532,766
152140.75.128.0/17140.75.128.1 to 140.75.255.254140.75.255.25532,766
153140.76.0.0/17140.76.0.1 to 140.76.127.254140.76.127.25532,766
154140.76.128.0/17140.76.128.1 to 140.76.255.254140.76.255.25532,766
155140.77.0.0/17140.77.0.1 to 140.77.127.254140.77.127.25532,766
156140.77.128.0/17140.77.128.1 to 140.77.255.254140.77.255.25532,766
157140.78.0.0/17140.78.0.1 to 140.78.127.254140.78.127.25532,766
158140.78.128.0/17140.78.128.1 to 140.78.255.254140.78.255.25532,766
159140.79.0.0/17140.79.0.1 to 140.79.127.254140.79.127.25532,766
160140.79.128.0/17140.79.128.1 to 140.79.255.254140.79.255.25532,766
161140.80.0.0/17140.80.0.1 to 140.80.127.254140.80.127.25532,766
162140.80.128.0/17140.80.128.1 to 140.80.255.254140.80.255.25532,766
163140.81.0.0/17140.81.0.1 to 140.81.127.254140.81.127.25532,766
164140.81.128.0/17140.81.128.1 to 140.81.255.254140.81.255.25532,766
165140.82.0.0/17140.82.0.1 to 140.82.127.254140.82.127.25532,766
166140.82.128.0/17140.82.128.1 to 140.82.255.254140.82.255.25532,766
167140.83.0.0/17140.83.0.1 to 140.83.127.254140.83.127.25532,766
168140.83.128.0/17140.83.128.1 to 140.83.255.254140.83.255.25532,766
169140.84.0.0/17140.84.0.1 to 140.84.127.254140.84.127.25532,766
170140.84.128.0/17140.84.128.1 to 140.84.255.254140.84.255.25532,766
171140.85.0.0/17140.85.0.1 to 140.85.127.254140.85.127.25532,766
172140.85.128.0/17140.85.128.1 to 140.85.255.254140.85.255.25532,766
173140.86.0.0/17140.86.0.1 to 140.86.127.254140.86.127.25532,766
174140.86.128.0/17140.86.128.1 to 140.86.255.254140.86.255.25532,766
175140.87.0.0/17140.87.0.1 to 140.87.127.254140.87.127.25532,766
176140.87.128.0/17140.87.128.1 to 140.87.255.254140.87.255.25532,766
177140.88.0.0/17140.88.0.1 to 140.88.127.254140.88.127.25532,766
178140.88.128.0/17140.88.128.1 to 140.88.255.254140.88.255.25532,766
179140.89.0.0/17140.89.0.1 to 140.89.127.254140.89.127.25532,766
180140.89.128.0/17140.89.128.1 to 140.89.255.254140.89.255.25532,766
181140.90.0.0/17140.90.0.1 to 140.90.127.254140.90.127.25532,766
182140.90.128.0/17140.90.128.1 to 140.90.255.254140.90.255.25532,766
183140.91.0.0/17140.91.0.1 to 140.91.127.254140.91.127.25532,766
184140.91.128.0/17140.91.128.1 to 140.91.255.254140.91.255.25532,766
185140.92.0.0/17140.92.0.1 to 140.92.127.254140.92.127.25532,766
186140.92.128.0/17140.92.128.1 to 140.92.255.254140.92.255.25532,766
187140.93.0.0/17140.93.0.1 to 140.93.127.254140.93.127.25532,766
188140.93.128.0/17140.93.128.1 to 140.93.255.254140.93.255.25532,766
189140.94.0.0/17140.94.0.1 to 140.94.127.254140.94.127.25532,766
190140.94.128.0/17140.94.128.1 to 140.94.255.254140.94.255.25532,766
191140.95.0.0/17140.95.0.1 to 140.95.127.254140.95.127.25532,766
192140.95.128.0/17140.95.128.1 to 140.95.255.254140.95.255.25532,766
193140.96.0.0/17140.96.0.1 to 140.96.127.254140.96.127.25532,766
194140.96.128.0/17140.96.128.1 to 140.96.255.254140.96.255.25532,766
195140.97.0.0/17140.97.0.1 to 140.97.127.254140.97.127.25532,766
196140.97.128.0/17140.97.128.1 to 140.97.255.254140.97.255.25532,766
197140.98.0.0/17140.98.0.1 to 140.98.127.254140.98.127.25532,766
198140.98.128.0/17140.98.128.1 to 140.98.255.254140.98.255.25532,766
199140.99.0.0/17140.99.0.1 to 140.99.127.254140.99.127.25532,766
200140.99.128.0/17140.99.128.1 to 140.99.255.254140.99.255.25532,766
201140.100.0.0/17140.100.0.1 to 140.100.127.254140.100.127.25532,766
202140.100.128.0/17140.100.128.1 to 140.100.255.254140.100.255.25532,766
203140.101.0.0/17140.101.0.1 to 140.101.127.254140.101.127.25532,766
204140.101.128.0/17140.101.128.1 to 140.101.255.254140.101.255.25532,766
205140.102.0.0/17140.102.0.1 to 140.102.127.254140.102.127.25532,766
206140.102.128.0/17140.102.128.1 to 140.102.255.254140.102.255.25532,766
207140.103.0.0/17140.103.0.1 to 140.103.127.254140.103.127.25532,766
208140.103.128.0/17140.103.128.1 to 140.103.255.254140.103.255.25532,766
209140.104.0.0/17140.104.0.1 to 140.104.127.254140.104.127.25532,766
210140.104.128.0/17140.104.128.1 to 140.104.255.254140.104.255.25532,766
211140.105.0.0/17140.105.0.1 to 140.105.127.254140.105.127.25532,766
212140.105.128.0/17140.105.128.1 to 140.105.255.254140.105.255.25532,766
213140.106.0.0/17140.106.0.1 to 140.106.127.254140.106.127.25532,766
214140.106.128.0/17140.106.128.1 to 140.106.255.254140.106.255.25532,766
215140.107.0.0/17140.107.0.1 to 140.107.127.254140.107.127.25532,766
216140.107.128.0/17140.107.128.1 to 140.107.255.254140.107.255.25532,766
217140.108.0.0/17140.108.0.1 to 140.108.127.254140.108.127.25532,766
218140.108.128.0/17140.108.128.1 to 140.108.255.254140.108.255.25532,766
219140.109.0.0/17140.109.0.1 to 140.109.127.254140.109.127.25532,766
220140.109.128.0/17140.109.128.1 to 140.109.255.254140.109.255.25532,766
221140.110.0.0/17140.110.0.1 to 140.110.127.254140.110.127.25532,766
222140.110.128.0/17140.110.128.1 to 140.110.255.254140.110.255.25532,766
223140.111.0.0/17140.111.0.1 to 140.111.127.254140.111.127.25532,766
224140.111.128.0/17140.111.128.1 to 140.111.255.254140.111.255.25532,766
225140.112.0.0/17140.112.0.1 to 140.112.127.254140.112.127.25532,766
226140.112.128.0/17140.112.128.1 to 140.112.255.254140.112.255.25532,766
227140.113.0.0/17140.113.0.1 to 140.113.127.254140.113.127.25532,766
228140.113.128.0/17140.113.128.1 to 140.113.255.254140.113.255.25532,766
229140.114.0.0/17140.114.0.1 to 140.114.127.254140.114.127.25532,766
230140.114.128.0/17140.114.128.1 to 140.114.255.254140.114.255.25532,766
231140.115.0.0/17140.115.0.1 to 140.115.127.254140.115.127.25532,766
232140.115.128.0/17140.115.128.1 to 140.115.255.254140.115.255.25532,766
233140.116.0.0/17140.116.0.1 to 140.116.127.254140.116.127.25532,766
234140.116.128.0/17140.116.128.1 to 140.116.255.254140.116.255.25532,766
235140.117.0.0/17140.117.0.1 to 140.117.127.254140.117.127.25532,766
236140.117.128.0/17140.117.128.1 to 140.117.255.254140.117.255.25532,766
237140.118.0.0/17140.118.0.1 to 140.118.127.254140.118.127.25532,766
238140.118.128.0/17140.118.128.1 to 140.118.255.254140.118.255.25532,766
239140.119.0.0/17140.119.0.1 to 140.119.127.254140.119.127.25532,766
240140.119.128.0/17140.119.128.1 to 140.119.255.254140.119.255.25532,766
241140.120.0.0/17140.120.0.1 to 140.120.127.254140.120.127.25532,766
242140.120.128.0/17140.120.128.1 to 140.120.255.254140.120.255.25532,766
243140.121.0.0/17140.121.0.1 to 140.121.127.254140.121.127.25532,766
244140.121.128.0/17140.121.128.1 to 140.121.255.254140.121.255.25532,766
245140.122.0.0/17140.122.0.1 to 140.122.127.254140.122.127.25532,766
246140.122.128.0/17140.122.128.1 to 140.122.255.254140.122.255.25532,766
247140.123.0.0/17140.123.0.1 to 140.123.127.254140.123.127.25532,766
248140.123.128.0/17140.123.128.1 to 140.123.255.254140.123.255.25532,766
249140.124.0.0/17140.124.0.1 to 140.124.127.254140.124.127.25532,766
250140.124.128.0/17140.124.128.1 to 140.124.255.254140.124.255.25532,766
251140.125.0.0/17140.125.0.1 to 140.125.127.254140.125.127.25532,766
252140.125.128.0/17140.125.128.1 to 140.125.255.254140.125.255.25532,766
253140.126.0.0/17140.126.0.1 to 140.126.127.254140.126.127.25532,766
254140.126.128.0/17140.126.128.1 to 140.126.255.254140.126.255.25532,766
255140.127.0.0/17140.127.0.1 to 140.127.127.254140.127.127.25532,766
256140.127.128.0/17140.127.128.1 to 140.127.255.254140.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses